Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ControllerValue< T > Class Template Reference

Can either be used as an input or output value. More...

`#include <OgreController.h>`

List of all members.

## Public Member Functions
virtual | ~ControllerValue ()
virtual T | getValue (void) const =0
virtual void | setValue (T value)=0

## Detailed Description

### template<typename T>
class Ogre::ControllerValue< T >

Can either be used as an input or output value.

Definition at line 100 of file OgreController.h.

## Constructor & Destructor Documentation

template<typename T>
virtual Ogre::ControllerValue< T >::~ControllerValue | ( |  | ) | `[virtual]`

| Definition at line 104 of file OgreController.h.

## Member Function Documentation

template<typename T>
virtual T Ogre::ControllerValue< T >::getValue | ( | void |  | ) | const`[pure virtual]`

| Implemented in Ogre::AnimationStateControllerValue, Ogre::FrameTimeControllerValue, Ogre::TextureFrameControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::FloatGpuParameterControllerValue.

template<typename T>
virtual void Ogre::ControllerValue< T >::setValue | ( | T | value | ) | `[pure virtual]`

| Implemented in Ogre::AnimationStateControllerValue, Ogre::FrameTimeControllerValue, Ogre::TextureFrameControllerValue, Ogre::TexCoordModifierControllerValue, and Ogre::FloatGpuParameterControllerValue.

The documentation for this class was generated from the following file:

- OgreController.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:10 2007